%define upstream_name    App-Daemon
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Start an Application as a Daemon
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Pid)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(Log::Log4perl) >= 1.0.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Sysadm::Install) >= 0.370.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
'App::Daemon' helps running an application as a daemon. The idea is that
you prepend your script with the

    use App::Daemon qw( daemonize ); 
    daemonize();

and 'daemonize' it that way. That means, that if you write

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.220.0-7.mga10
+ Revision: 2197698
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.220.0-6.mga9
+ Revision: 1802058
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.220.0-5.mga8
+ Revision: 1492725
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.220.0-4.mga7
+ Revision: 1265678
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.220.0-3.mga6
+ Revision: 1022541
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.220.0-2.mga6
+ Revision: 966215
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.220.0-1.mga6
+ Revision: 843048
- update to 0.22

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 750577
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.210.0-3.mga5
+ Revision: 731830
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-2.mga5
+ Revision: 683512
- Mageia 5 Mass Rebuild

* Wed Apr 30 2014 shlomif <shlomif> 0.210.0-1.mga5
+ Revision: 618915
- New version 0.21

* Tue Feb 04 2014 shlomif <shlomif> 0.200.0-1.mga5
+ Revision: 580977
- update to 0.20

* Sat Oct 19 2013 umeabot <umeabot> 0.190.0-2.mga4
+ Revision: 531134
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 sander85 <sander85> 0.190.0-1.mga4
+ Revision: 462154
- update to 0.19

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 363075
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 314844
- update to 0.18

* Wed Oct 24 2012 shlomif <shlomif> 0.160.0-1.mga3
+ Revision: 309838
- imported package perl-App-Daemon


* Wed Oct 24 2012 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
